---
title: Get Catalog Items Keywords
slug: api-documentation/get-catalog-items-keywords
docTags: 
createdAt: 2026-08-27T16:53:40.115Z
---

{
  "id": "zzw5l_VxKCJEOvTJD9XMy",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/catalog/keywords",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/catalog/keywords"
      }
    ],
    "name": "Get Catalog Items Keywords",
    "description": "<p>This endpoint retrieves the keywords referenced by the keyword attributes of the given live\ncatalog items, grouped per requested product. It behaves like Get Catalog Item Keywords but\nfor a batch of ids. Products that cannot be found, that the caller is not authorized to\nview, or that are not live-visible (archived or outside their activation window) are\nomitted from the response rather than causing an error.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>catalog.read</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>customer.default</li>\n<li>customer.anonymous</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "array",
          "description": "<p>JSON-formatted array of catalog item ids to fetch keywords for (at most 100).</p>",
          "maxItems": 100,
          "schema": [],
          "itemType": "string",
          "customType": "string[]",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "AnonymousAuth",
          "name": "AnonymousAuth",
          "kind": "optional",
          "type": "http",
          "description": "This is the most basic authentication. The minimum requirement for access is a token representing the user as an anonymous client.",
          "scheme": "bearer"
        },
        {
          "id": "LoggedIn",
          "name": "LoggedIn",
          "kind": "optional",
          "type": "http",
          "description": "The presence of this token indicates that the user is a known consumer that has previously logged into the platform.",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-the keywords for the requested items were returned.\nOne entry per requested item, where \"keywords\" is the same shape returned by\nGet Catalog Item Keywords.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "CatalogItemKeywords[]",
            "schema": [
              {
                "name": "catalogItemId",
                "kind": "required",
                "type": "string",
                "description": "",
                "modelRef": "#/components/schemas/CatalogItemId",
                "customType": "CatalogItemId",
                "schema": []
              },
              {
                "name": "keywords",
                "kind": "required",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/KeywordGroup",
                "customType": "KeywordGroup[]",
                "schema": [
                  {
                    "name": "attribute",
                    "kind": "required",
                    "type": "string",
                    "description": "<p>Dot-joined path of the keyword attribute within the item's dynamicProperties (e.g. \"specs.materials\").</p>"
                  },
                  {
                    "name": "keywords",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "modelRef": "#/components/schemas/Keyword",
                    "customType": "Keyword[]",
                    "schema": [
                      {
                        "name": "name",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "description",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      }
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/CatalogItemKeywords",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "SYC0Ip-SHnC1sStcvM6a-",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/catalog/keywords \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "Js5U0uJ0WVMR_NZG2SQIQ",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/catalog/keywords\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "aG0uWuJrIf7HuQIqFZUxs",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/catalog/keywords\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "SMjddN1g58ej9hy4ck_-n",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/catalog/keywords\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "SYC0Ip-SHnC1sStcvM6a-"
    },
    "results": {
      "languages": [
        {
          "id": "x31the1cf1CWsrjP1eGZl",
          "language": "200",
          "code": "// Success-the keywords for the requested items were returned.\nOne entry per requested item, where \"keywords\" is the same shape returned by\nGet Catalog Item Keywords.\n[\n  {\n    \"catalogItemId\": \"\",\n    \"keywords\": [\n      {\n        \"attribute\": \"\",\n        \"keywords\": [\n          {\n            \"name\": \"\",\n            \"description\": \"\"\n          }\n        ]\n      }\n    ]\n  }\n]"
        },
        {
          "id": "6qFU0PHB80uYMk5oQLm7Z",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "QEiu42DiLMBMsTIdSyF25",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "x31the1cf1CWsrjP1eGZl"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}